Skip to main content
`Ctrl`+`K`

# MatPartitioningChacoSetGlobal

Set the global method for Chaco partitioner.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatPartitioningChacoSetGlobal(MatPartitioning part, MPChacoGlobalType method)

Collective

## Input Parameters

- part - the partitioning context

- method - one of `MP_CHACO_MULTILEVEL`, `MP_CHACO_SPECTRAL`, `MP_CHACO_LINEAR`, `MP_CHACO_RANDOM` or `MP_CHACO_SCATTERED`

## Options Database Key

- -mat_partitioning_chaco_global <method> - the global method

## Note

The default is the multi-level method. See Chaco documentation for additional details.

## See Also

`MatPartitioning`, `MatPartioningSetType()`, `MatPartitioningType`, `MATPARTITIONINGCHACO`, `MatPartitioningChacoSetLocal()`, `MatPartitioningChacoGetGlobal()`

## Level

advanced

## Location

src/mat/graphops/partition/impls/chaco/chaco.c

## Implementations

MatPartitioningChacoSetGlobal_Chaco() in src/mat/graphops/partition/impls/chaco/chaco.c

Index of all MatGraphOperations routines
Table of Contents for all manual pages
Index of all manual pages